For the complete documentation index, see llms.txt. This page is also available as Markdown.

Professional Captioning

List caption requests

get

This endpoint lists caption requests. It works both with auth token and the captioning service auth headers.

Authorizations
AuthorizationstringRequired
Query parameters
providerstring · enumRequired

Provider of the caption. The only option is "professional"

Possible values:
statusstring · enumRequired

Status of the caption request. The only possible value now is "requested"

Possible values:
Responses
200

List of caption requests

application/json
get/caption_file_requests
GET /api/public/v1/caption_file_requests?provider=professional&status=requested HTTP/1.1
Host: tw.instructuremedia.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "caption_file_requests": []
}

Send the result of the caption file request.

patch

This endpoint should be used to update a pending caption file request. Each request can be updated once with either fulfilled or failed status.

Authorizations
AuthorizationstringRequired
Path parameters
caption_file_request_idintegerRequired

The id of the caption file request to be updated.

Body
statusstring · enumRequired

Result of the file request.

Possible values:
messagestringOptional

In case the caption creation was not successful you can provide some detail why it could not be completed.

caption_filestringOptional

The file to be uploaded. The supported file extension is .srt!

Responses
202

The results are successfully saved.

No content

patch/caption_file_requests/{caption_file_request_id}
PATCH /api/public/v1/caption_file_requests/{caption_file_request_id} HTTP/1.1
Host: tw.instructuremedia.com
Authorization: YOUR_API_KEY
Content-Type: multipart/form-data
Accept: */*
Content-Length: 62

{
  "status": "processing",
  "message": "text",
  "caption_file": "text"
}

No content

The list of active service types

get
Authorizations
AuthorizationstringRequired
Responses
200

The list of active service types user has permission to.

application/json
get/captioning_service_types
GET /api/public/v1/captioning_service_types HTTP/1.1
Host: tw.instructuremedia.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "captioning_service_types": [
    {
      "id": 1,
      "key": "text",
      "label": "text",
      "is_asr": true,
      "description": "text",
      "languages": [
        "text"
      ]
    }
  ]
}

Upsert a service type

put

The endpoint will insert or update a service type for a captioning service. This endpoint only supports IETF language code

Authorizations
AuthorizationstringRequired
Path parameters
keystringRequired

machine readable “id” that will be included with caption file requests when a CaptionService lists available requests.

Body

An object describing the service type

labelstringRequired
descriptionstringRequired
is_asrbooleanRequired
languagesstring[]Optional

IETF language code

Responses
200

The service type has been updated successfully

application/json
put/captioning_service_types/{key}
PUT /api/public/v1/captioning_service_types/{key} HTTP/1.1
Host: tw.instructuremedia.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 72

{
  "label": "text",
  "description": "text",
  "is_asr": true,
  "languages": [
    "text"
  ]
}
{
  "captioning_service_types": [
    {
      "id": 1,
      "key": "text",
      "label": "text",
      "is_asr": true,
      "description": "text",
      "languages": [
        "text"
      ]
    }
  ]
}

Delete a service type

delete

This endpoint will delete a service type for a captioning service and will remove the associated captioning roles from it.

Authorizations
AuthorizationstringRequired
Path parameters
keystringRequired

machine readable “id” that will be included with caption file requests when a CaptionService lists available requests.

Responses
204

The service type has been deleted successfully

No content

delete/captioning_service_types/{key}
DELETE /api/public/v1/captioning_service_types/{key} HTTP/1.1
Host: tw.instructuremedia.com
Authorization: YOUR_API_KEY
Accept: */*

No content

Last updated

Was this helpful?